Bug 1462179 - Missing depdencies allows mismatch in architecture for nss and p11-kit versions
Missing depdencies allows mismatch in architecture for nss and p11-kit versions
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss (Show other bugs)
6.8
All Unspecified
unspecified Severity low
: rc
: ---
Assigned To: nss-nspr-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 07:40 EDT by afox@redhat.com
Modified: 2017-09-25 00:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-16 17:41:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description afox@redhat.com 2017-06-16 07:40:30 EDT
Description of problem:
It's possible to install nss in both 32 and 64-bit versions, but no dependency exists to ensure matching architecture of p11-kit is also installed. 

# rpm -q nss p11-kit-trust
nss-3.21.3-2.el6_8.x86_64
nss-3.21.3-2.el6_8.i686
p11-kit-trust-0.18.5-2.el6_5.2.x86_64
# update-ca-trust enable
update-ca-trust: nss 32 bit is installed. You should install p11-kit-trust 32 bit.
update-ca-trust: aborting, because the nss / p11-kit setup is inconsistent.

ca-certificates package depends on p11-kit-trust, but any of the two builds (32 or 64bit) satisfies the dependency.

Customer expects appropriate dependencies between packages so that it's not possible to end up with an inconsistent set of packages.

Version-Release number of selected component (if applicable):
nss-3.21.3-2.el6

How reproducible:
Always.

Actual results:
Possible to have 32-bit version of nss without matching version of p11-kit. 

Expected results:
Installation of 32-bit nss should result in install of required 32-bit p11-kit.
Comment 2 Chris Williams 2017-06-16 17:41:26 EDT
Red Hat Enterprise Linux 6 transitioned to the Production 3 Phase on May 10, 2017.  During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.
 
The official life cycle policy can be reviewed here:
 
http://redhat.com/rhel/lifecycle
 
This issue does not appear to meet the inclusion criteria for the Production Phase 3 and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification.  Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:
 
https://access.redhat.com

Note You need to log in before you can comment on or make changes to this bug.